Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 377719 - sys-power/cpufreqd: should remove dependency on sys-fs/sysfsutils
Summary: sys-power/cpufreqd: should remove dependency on sys-fs/sysfsutils
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: NeedPatch
Depends on:
Blocks: 377673
  Show dependency tree
 
Reported: 2011-08-04 10:31 UTC by Anthony Basile
Modified: 2014-05-11 08:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Basile gentoo-dev 2011-08-04 10:31:21 UTC
sys-fs/sysfsutils is broken and dead upstream.  Dependency on it needs to be
removed so we can remove it from the tree.
Comment 1 Pacho Ramos gentoo-dev 2012-11-18 12:11:20 UTC
cpufreqd really needs it... we should treeclean cpufreqd too if really needed to drop sysfsutils
Comment 2 Samuli Suominen gentoo-dev 2014-02-18 08:26:13 UTC
both cpufreqd and cpufrequtils are dead in favour of sys-power/cpupower

we should really discuss about p.masking both of those deprecated ones, with a long p.mask entry, like removal 01-01-2015, and point people to cpupower
Comment 3 Pacho Ramos gentoo-dev 2014-05-11 08:06:21 UTC
dropped